import Pagination from './Pagination.vue';

export default {
  name: 'md-pagination',
  props: {
    pagination: {
      type: Object,
      default: {
        pageNum: 1,
        pageSize: 10,
        total: 0,
      },
    },
    changePage: Function,
    changeSizeHandle: Function,
  },
  render(h) {
    return (
      <Pagination
        class='md-pagination'
        currentPage={this.pagination.pageNum}
        pageSize={this.pagination.pageSize}
        total={this.pagination.total}
        onCurrent-change={this.changePage}
        onSize-change={this.changeSizeHandle}
      />
    );
  },
};
